Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_update Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_UPDATE_BEGIN_COMMAND and WIMLIB_PROGRESS_MSG_UPDATE_END_COMMAND. More...

`#include <wimlib.h>`

Collaboration diagram for wimlib_progress_info::wimlib_progress_info_update:
[legend]

## Data Fields

const struct wimlib_update_command * | command
| Pointer to the update command that will be executed or has just been executed.
size_t | completed_commands
| Number of update commands that have been completed so far.
size_t | total_commands
| Number of update commands that are being executed as part of this call to wimlib_update_image().

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_UPDATE_BEGIN_COMMAND and WIMLIB_PROGRESS_MSG_UPDATE_END_COMMAND.

## Field Documentation

## command

const struct wimlib_update_command* wimlib_progress_info::wimlib_progress_info_update::command

Pointer to the update command that will be executed or has just been executed.

## completed_commands

size_t wimlib_progress_info::wimlib_progress_info_update::completed_commands

Number of update commands that have been completed so far.

## total_commands

size_t wimlib_progress_info::wimlib_progress_info_update::total_commands

Number of update commands that are being executed as part of this call to wimlib_update_image().

The documentation for this struct was generated from the following file:

- wimlib.h